<?xml version="1.0" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>MAN PAGE</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
</head>

<body>



<ul id="index">
  <li><a href="#NAME">NAME</a></li>
  <li><a href="#SYNOPSIS">SYNOPSIS</a></li>
  <li><a href="#DESCRIPTION">DESCRIPTION</a></li>
  <li><a href="#OPTIONS">OPTIONS</a></li>
  <li><a href="#CONFIGURATION">CONFIGURATION</a></li>
  <li><a href="#DIAGNOSTICS">DIAGNOSTICS</a></li>
  <li><a href="#EXAMPLES">EXAMPLES</a></li>
  <li><a href="#ENVIRONMENT-VARIABLES">ENVIRONMENT VARIABLES</a></li>
  <li><a href="#OTHER-INFO">OTHER INFO</a></li>
  <li><a href="#SEE-ALSO">SEE ALSO</a></li>
  <li><a href="#GUI-NOTES">GUI NOTES</a></li>
  <li><a href="#KEYBINDINGS">KEYBINDINGS</a></li>
  <li><a href="#BUGS">BUGS</a></li>
  <li><a href="#HISTORY">HISTORY</a></li>
  <li><a href="#AUTHORS">AUTHORS</a></li>
  <li><a href="#COPYRIGHT-AND-LICENSE">COPYRIGHT AND LICENSE</a></li>
</ul>

<h1 id="NAME">NAME</h1>

<p>Inkscape - an SVG (Scalable Vector Graphics) editing program.</p>

<h1 id="SYNOPSIS">SYNOPSIS</h1>

<p><code>inkscape [options] [filename_1 filename_2 ...]</code></p>

<p>options:</p>

<pre><code>    -?, --help
        --help-all
        --help-gapplication
        --help-gtk

    -V, --version
        --debug-info
        --system-data-directory
        --user-data-directory

    -p, --pipe
    -n, --pages=PAGE[,PAGE]
        --pdf-poppler
        --convert-dpi-method=METHOD
        --no-convert-text-baseline-spacing

    -o, --export-filename=FILENAME
        --export-overwrite
        --export-type=TYPE[,TYPE]*
        --export-extension=EXTENSION-ID

    -C, --export-area-page
    -D, --export-area-drawing
    -a, --export-area=x0:y0:x1:y1
        --export-area-snap
    -d, --export-dpi=DPI
    -w, --export-width=WIDTH
    -h, --export-height=HEIGHT
        --export-margin=MARGIN

        --export-page=all|n[,a-b]
    -i, --export-id=OBJECT-ID[;OBJECT-ID]*
    -j, --export-id-only
    -l, --export-plain-svg
        --export-png-color-mode=COLORMODE
        --export-png-compression=LEVEL
        --export-png-antialias=LEVEL
        --export-png-use-dithering=BOOLEAN
        --export-ps-level=LEVEL
        --export-pdf-version=VERSION
    -T, --export-text-to-path
        --export-latex
        --export-ignore-filters
    -t, --export-use-hints
    -b, --export-background=COLOR
    -y, --export-background-opacity=VALUE

    -I, --query-id=OBJECT-ID[,OBJECT-ID]*
    -S, --query-all
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height

        --vacuum-defs
        --select=OBJECT-ID[,OBJECT-ID]*
        --actions=ACTION(:ARG)[;ACTION(:ARG)]*
        --action-list
        --actions-file=FILENAME

    -g, --with-gui
    -q, --active-window
        --display=DISPLAY
        --app-id-tag=TAG
        --batch-process
        --shell</code></pre>

<h1 id="DESCRIPTION">DESCRIPTION</h1>

<p><b>Inkscape</b> is a Free and open source vector graphics editor. It offers a rich set of features and is widely used for both artistic and technical illustrations such as cartoons, clip art, logos, typography, diagramming and flowcharting. It uses vector graphics to allow for sharp printouts and renderings at unlimited resolution and is not bound to a fixed number of pixels like raster graphics. Inkscape uses the standardized <b>SVG</b> file format as its main format, which is supported by many other applications including web browsers.</p>

<p>The interface is designed to be comfortable and efficient for skilled users, while remaining conformant to <b>GNOME</b> standards so that users familiar with other GNOME applications can learn its interface rapidly.</p>

<p><b>SVG</b> is a W3C standard XML format for 2D vector drawing. It allows defining objects in the drawing using points, paths, and primitive shapes. Colors, fonts, stroke width, and so forth are specified as `style&#39; attributes to these objects. The intent is that since SVG is a standard, and since its files are text/xml, it will be possible to use SVG files in a sizeable number of programs and for a wide range of uses.</p>

<p><b>Inkscape</b> uses SVG as its native document format, and has the goal of becoming the most fully compliant drawing program for SVG files available in the Open Source community.</p>

<h1 id="OPTIONS">OPTIONS</h1>

<dl>

<dt id="help"><b>-?</b>, <b>--help</b></dt>
<dd>

<p>Shows a help message.</p>

</dd>
<dt id="help-all"><b>--help-all</b></dt>
<dd>

<p>Shows all help options.</p>

</dd>
<dt id="help-gapplication"><b>--help-gapplication</b></dt>
<dd>

<p>Shows the GApplication options.</p>

</dd>
<dt id="help-gtk"><b>--help-gtk</b></dt>
<dd>

<p>Shows the GTK+ options.</p>

</dd>
<dt id="V---version"><b>-V</b>, <b>--version</b></dt>
<dd>

<p>Shows the Inkscape version and build date.</p>

</dd>
<dt id="debug-info"><b>--debug-info</b></dt>
<dd>

<p>Prints technical information including Inkscape version, dependency versions and operating system. This Information is useful when debugging issues with Inkscape and should be included whenever filing a bug report.</p>

</dd>
<dt id="system-data-directory"><b>--system-data-directory</b></dt>
<dd>

<p>Prints the system data directory where data files that ship with Inkscape are stored. This includes files which Inkscape requires to run (like unit definitions, built-in key maps, files describing UI layout, icon themes, etc.), core extensions, stock resources (filters, fonts, markers, color palettes, symbols, templates) and documentation (SVG example files, tutorials).</p>

<p>The location in which Inkscape expects the system data directory can be overridden with the <a>INKSCAPE_DATADIR</a> environment variable.</p>

</dd>
<dt id="user-data-directory"><b>--user-data-directory</b></dt>
<dd>

<p>Prints the user profile directory where user-specific data files and preferences are stored. Custom extensions and resources (filters, fonts, markers, color palettes, symbols, templates) should be installed into their respective subdirectories in this directory. In addition placing a file with a name identical to one in the system data directory here allows to override most presets from the system data directory (e.g. default templates, UI files, etc.).</p>

<p>The default location of the profile directory can be overridden with the <a>INKSCAPE_PROFILE_DIR</a> environment variable.</p>

</dd>
<dt id="p---pipe"><b>-p</b>, <b>--pipe</b></dt>
<dd>

<p>Reads input file from standard input (stdin).</p>

</dd>
<dt id="pages-PAGE"><b>--pages</b>=<i>PAGE</i></dt>
<dd>

<p>Imports the given comma separated list of pages from a PDF, or multi page SVG file.</p>

<p>This replaces the <i>--pdf-page</i> from previous Inkscape versions.</p>

</dd>
<dt id="pdf-poppler"><b>--pdf-poppler</b></dt>
<dd>

<p>By default Inkscape imports PDF files via an internal (poppler-derived) library. Text is stored as text. Meshes are converted to tiles. Use <a>--pdf-poppler</a> to import via an external (poppler with cairo backend) library instead. Text consists of groups containing cloned glyphs where each glyph is a path. Images are stored internally. Meshes cause entire document to be rendered as a raster image.</p>

</dd>
<dt id="convert-dpi-method-METHOD"><b>--convert-dpi-method</b>=<i>METHOD</i></dt>
<dd>

<p>Choose method used to rescale legacy (pre-0.92) files which render slightly smaller due to the switch from 90 DPI to 96 DPI when interpreting lengths expressed in units of pixels. Possible values are &quot;none&quot; (no change, document will render at 94% of its original size), &quot;scale-viewbox&quot; (document will be rescaled globally, individual lengths will stay untouched) and &quot;scale-document&quot; (each length will be re-scaled individually).</p>

</dd>
<dt id="no-convert-text-baseline-spacing"><b>--no-convert-text-baseline-spacing</b></dt>
<dd>

<p>Do not automatically fix text baselines in legacy (pre-0.92) files on opening. Inkscape 0.92 adopts the CSS standard definition for the &#39;line-height&#39; property, which differs from past versions. By default, the line height values in files created prior to Inkscape 0.92 will be adjusted on loading to preserve the intended text layout. This command line option will skip that adjustment.</p>

</dd>
<dt id="o---export-filename-FILENAME"><b>-o</b>, <b>--export-filename</b>=<i>FILENAME</i></dt>
<dd>

<p>Sets the name of the output file. The default is to re-use the name of the input file. If <a>--export-type</a> is also used, the file extension will be adjusted (or added) as appropriate. Otherwise the file type to export will be inferred from the extension of the specified filename.</p>

<p>Usage of the special filename &quot;-&quot; makes Inkscape write the image data to standard output (stdout).</p>

</dd>
<dt id="export-overwrite"><b>--export-overwrite</b></dt>
<dd>

<p>Overwrites input file.</p>

</dd>
<dt id="export-type-TYPE-TYPE"><b>--export-type</b>=<i>TYPE[,TYPE]*</i></dt>
<dd>

<p>Specify the file type to export. Possible values: svg, png, ps, eps, pdf, emf, wmf and every file type for which an export extension exists. It is possible to export more than one file type at a time.</p>

<p>Note that PostScript does not support transparency, so any transparent objects in the original SVG will be automatically rasterized. Used fonts are subset and embedded. The default export area is page; you can set it to drawing by <a>--export-area-drawing</a>.</p>

<p>Note that PDF format preserves the transparency in the original SVG.</p>

</dd>
<dt id="export-extension-EXTENSION-ID"><b>--export-extension</b>=<i>EXTENSION-ID</i></dt>
<dd>

<p>Allows to specify an output extension that will be used for exporting, which is especially relevant if there is more than one export option for a given file type. If set, the file extension in --export-filename and --export-type may be omitted. Additionally, if set, only one file type may be given in --export-type.</p>

</dd>
<dt id="C---export-area-page"><b>-C</b>, <b>--export-area-page</b></dt>
<dd>

<p>In SVG, PNG, PDF, PS exported area is the page. This is the default for SVG, PNG, PDF, and PS, so you don&#39;t need to specify this unless you are using <a>--export-id</a> to export a specific object. For EPS this option is currently not supported.</p>

</dd>
<dt id="D---export-area-drawing"><b>-D</b>, <b>--export-area-drawing</b></dt>
<dd>

<p>In SVG, PNG, PDF, PS, and EPS export, exported area is the drawing (not page), i.e. the bounding box of all objects of the document (or of the exported object if <a>--export-id</a> is used). With this option, the exported image will display all the visible objects of the document without margins or cropping. This is the default export area for EPS. For PNG, it can be used in combination with <a>--export-use-hints</a>.</p>

</dd>
<dt id="a-x0:y0:x1:y1---export-area-x0:y0:x1:y1"><b>-a</b> <i>x0:y0:x1:y1</i>, <b>--export-area</b>=<i>x0:y0:x1:y1</i></dt>
<dd>

<p>In PNG export, set the exported area of the document, specified in px (1/96 in). The default is to export the entire document page. The point (0,0) is the lower-left corner.</p>

</dd>
<dt id="export-area-snap"><b>--export-area-snap</b></dt>
<dd>

<p>For PNG export, snap the export area outwards to the nearest integer px values. If you are using the default export resolution of 96 dpi and your graphics are pixel-snapped to minimize antialiasing, this switch allows you to preserve this alignment even if you are exporting some object&#39;s bounding box (with <a>--export-id</a> or <a>--export-area-drawing</a>) which is itself not pixel-aligned.</p>

</dd>
<dt id="d-DPI---export-dpi-DPI"><b>-d</b> <i>DPI</i>, <b>--export-dpi</b>=<i>DPI</i></dt>
<dd>

<p>The resolution used for PNG export. It is also used for fallback rasterization of filtered objects when exporting to PS, EPS, or PDF (unless you specify <a>--export-ignore-filters</a> to suppress rasterization). The default is 96 dpi, which corresponds to 1 SVG user unit (px, also called &quot;user unit&quot;) exporting to 1 bitmap pixel. This value overrides the DPI hint if used with <a>--export-use-hints</a>.</p>

</dd>
<dt id="w-WIDTH---export-width-WIDTH"><b>-w</b> <i>WIDTH</i>, <b>--export-width</b>=<i>WIDTH</i></dt>
<dd>

<p>The width of generated bitmap in pixels. This value overrides the <a>--export-dpi</a> setting (or the DPI hint if used with <a>--export-use-hints</a>).</p>

</dd>
<dt id="h-HEIGHT---export-height-HEIGHT"><b>-h</b> <i>HEIGHT</i>, <b>--export-height</b>=<i>HEIGHT</i></dt>
<dd>

<p>The height of generated bitmap in pixels. This value overrides the <a>--export-dpi</a> setting (or the DPI hint if used with <a>--export-use-hints</a>).</p>

</dd>
<dt id="export-margin-MARGIN"><b>--export-margin</b>=<i>MARGIN</i></dt>
<dd>

<p>Adds a margin around the exported area. The size of the margin is specified in units of page size (for SVG) or millimeters (for PS/PDF). The option currently has no effect for other export formats.</p>

</dd>
<dt id="i-ID---export-page-all-n-a-b"><b>-i</b> <i>ID</i>, <b>--export-page</b>=<i>all|n[,a-b]*</i></dt>
<dd>

<p>Exports the selected pages only. If more than one page is specified then the resulting document may contain multiple pages if the format supports it.</p>

<p>Value can be a comma separated list of page numbers, or page ranges of two numbers separated by a dash. The keyword &#39;all&#39; can be used to indicate all pages would be exported.</p>

</dd>
<dt id="i-ID---export-id-OBJECT-ID-OBJECT-ID"><b>-i</b> <i>ID</i>, <b>--export-id</b>=<i>OBJECT-ID[;OBJECT-ID]*</i></dt>
<dd>

<p>For PNG, PS, EPS, PDF and plain SVG export, the id attribute value of the object(s) that you want to export from the document; all other objects are not exported. By default the exported area is the bounding box of the object; you can override this using <a>--export-area</a> (PNG only) or <a>--export-area-page</a>.</p>

<p>If you specify many values with a semicolon separated list of objects, each one will be exported separately. In this case the exported files will be named this way: [input_filename]_[ID].[export_type]</p>

</dd>
<dt id="j---export-id-only"><b>-j</b>, <b>--export-id-only</b></dt>
<dd>

<p>For PNG, PS, EPS, PDF and plain SVG export, only export the object whose id is given in <a>--export-id</a>. All other objects are hidden and won&#39;t show in export even if they overlay the exported object. Without <a>--export-id</a>, this option is ignored.</p>

</dd>
<dt id="l---export-plain-svg"><b>-l</b>, <b>--export-plain-svg</b></dt>
<dd>

<p>Export document(s) to plain SVG format, without sodipodi: or inkscape: namespaces and without RDF metadata. Use the <a>--export-filename</a> option to specify the filename.</p>

</dd>
<dt id="export-png-color-mode-COLORMODE"><b>--export-png-color-mode</b>=<i>COLORMODE</i></dt>
<dd>

<p>Set the color mode (bit depth and color type) for exported bitmaps (Gray_1/Gray_2/Gray_4/Gray_8/Gray_16/RGB_8/RGB_16/GrayAlpha_8/GrayAlpha_16/RGBA_8/RGBA_16)</p>

</dd>
<dt id="export-png-compression-LEVEL"><b>--export-png-compression</b>=<i>LEVEL</i></dt>
<dd>

<p>Set the compression level for PNG export (0 to 9); default is 6.</p>

</dd>
<dt id="export-png-antialias-LEVEL"><b>--export-png-antialias</b>=<i>LEVEL</i></dt>
<dd>

<p>Set the antialiasing level for PNG export (0 to 3); default is 2.</p>

</dd>
<dt id="export-png-use-dithering-false-true"><b>--export-png-use-dithering</b>=<i>false|true</i></dt>
<dd>

<p>Forces dithering or disables it (the Inkscape build must support dithering for this).</p>

</dd>
<dt id="export-ps-level-LEVEL"><b>--export-ps-level</b>=<i>LEVEL</i></dt>
<dd>

<p>Set language version for PS and EPS export. PostScript level 2 or 3 is supported. Default is 3.</p>

</dd>
<dt id="export-pdf-version-VERSION"><b>--export-pdf-version</b>=<i>VERSION</i></dt>
<dd>

<p>Select the PDF version of the exported PDF file. This option basically exposes the PDF version selector found in the PDF-export dialog of the GUI. You must provide one of the versions from that combo-box, e.g. &quot;1.4&quot;. The default pdf export version is &quot;1.4&quot;.</p>

</dd>
<dt id="T---export-text-to-path"><b>-T</b>, <b>--export-text-to-path</b></dt>
<dd>

<p>Convert text objects to paths on export, where applicable (for PS, EPS, PDF and SVG export).</p>

</dd>
<dt id="export-latex"><b>--export-latex</b></dt>
<dd>

<p>(for PS, EPS, and PDF export) Used for creating images for LaTeX documents, where the image&#39;s text is typeset by LaTeX. When exporting to PDF/PS/EPS format, this option splits the output into a PDF/PS/EPS file (e.g. as specified by --export-type) and a LaTeX file. Text will not be output in the PDF/PS/EPS file, but instead will appear in the LaTeX file. This LaTeX file includes the PDF/PS/EPS. Inputting (\input{image.tex}) the LaTeX file in your LaTeX document will show the image and all text will be typeset by LaTeX. See the resulting LaTeX file for more information. Also see GNUPlot&#39;s `epslatex&#39; output terminal.</p>

</dd>
<dt id="export-ignore-filters"><b>--export-ignore-filters</b></dt>
<dd>

<p>Export filtered objects (e.g. those with blur) as vectors, ignoring the filters (for PS, EPS, and PDF export). By default, all filtered objects are rasterized at <a>--export-dpi</a> (default 96 dpi), preserving the appearance.</p>

</dd>
<dt id="t---export-use-hints"><b>-t</b>, <b>--export-use-hints</b></dt>
<dd>

<p>While exporting to PNG, use export filename and DPI hints stored in the exported object (only with <a>--export-id</a>). These hints are set automatically when you export selection from within Inkscape. So, for example, if you export a shape with id=&quot;path231&quot; as /home/me/shape.png at 300 dpi from document.svg using Inkscape GUI, and save the document, then later you will be able to reexport that shape to the same file with the same resolution simply with</p>

<pre><code>    inkscape -i path231 -t document.svg</code></pre>

<p>If you use <a>--export-dpi</a>, <a>--export-width</a>, or <a>--export-height</a> with this option, then the DPI hint will be ignored and the value from the command line will be used. If you use <a>--export-filename</a> with this option, then the filename hint will be ignored and the filename from the command line will be used.</p>

</dd>
<dt id="b-COLOR---export-background-COLOR"><b>-b</b> <i>COLOR</i>, <b>--export-background</b>=<i>COLOR</i></dt>
<dd>

<p>Background color of exported PNG. This may be any SVG supported color string, for example &quot;#ff007f&quot; or &quot;rgb(255, 0, 128)&quot;. If not set, then the page color set in Inkscape in the Document Properties dialog will be used (stored in the pagecolor= attribute of sodipodi:namedview).</p>

</dd>
<dt id="y-VALUE---export-background-opacity-VALUE"><b>-y</b> <i>VALUE</i>, <b>--export-background-opacity</b>=<i>VALUE</i></dt>
<dd>

<p>Opacity of the background of exported PNG. This may be a value either between 0.0 and 1.0 (0.0 meaning full transparency, 1.0 full opacity) or greater than 1 up to 255 (255 meaning full opacity). If not set and the -b option is not used, then the page opacity set in Inkscape in the Document Properties dialog will be used (stored in the inkscape:pageopacity= attribute of sodipodi:namedview). If not set but the -b option is used, then the value of 255 (full opacity) will be used.</p>

</dd>
<dt id="I---query-id-OBJECT-ID-OBJECT-ID"><b>-I</b>, <b>--query-id</b>=<i>OBJECT-ID[,OBJECT-ID]*</i></dt>
<dd>

<p>Set the ID(s) of the object(s) whose dimensions are queried in a comma-separated list. If not set, query options will return the dimensions of the drawing (i.e. all document objects), not the page or viewbox.</p>

<p>If you specify many values with a comma separated list of objects, any geometry query (e.g. <a>--query-x</a>) will return a comma separated list of values corresponding to the list of objects in <i>--query-id</i>.</p>

</dd>
<dt id="S---query-all"><b>-S</b>, <b>--query-all</b></dt>
<dd>

<p>Prints a comma delimited listing of all objects in the SVG document with IDs defined, along with their x, y, width, and height values.</p>

</dd>
<dt id="X---query-x"><b>-X</b>, <b>--query-x</b></dt>
<dd>

<p>Query the X coordinate of the drawing or, if specified, of the object with <a>--query-id</a>. The returned value is in px (SVG user units).</p>

</dd>
<dt id="Y---query-y"><b>-Y</b>, <b>--query-y</b></dt>
<dd>

<p>Query the Y coordinate of the drawing or, if specified, of the object with <a>--query-id</a>. The returned value is in px (SVG user units).</p>

</dd>
<dt id="W---query-width"><b>-W</b>, <b>--query-width</b></dt>
<dd>

<p>Query the width of the drawing or, if specified, of the object with <a>--query-id</a>. The returned value is in px (SVG user units).</p>

</dd>
<dt id="H---query-height"><b>-H</b>, <b>--query-height</b></dt>
<dd>

<p>Query the height of the drawing or, if specified, of the object with <a>--query-id</a>. The returned value is in px (SVG user units).</p>

</dd>
<dt id="vacuum-defs"><b>--vacuum-defs</b></dt>
<dd>

<p>Remove all unused items from the <code>&lt;defs&gt;</code> section of the SVG file. If this option is invoked in conjunction with <a>--export-plain-svg</a>, only the exported file will be affected. If it is used alone, the specified file will be modified in place.</p>

</dd>
<dt id="select-OBJECT-ID-OBJECT-ID"><b>--select</b>=<i>OBJECT-ID[,OBJECT-ID]*</i></dt>
<dd>

<p>The <a>--select</a> command will cause objects that have the ID specified to be selected. You can select many objects width a comma separated list. This allows various verbs to act upon them. To remove all the selections use <code>--verb=EditDeselect</code>. The object IDs available are dependent on the document specified to load.</p>

</dd>
<dt id="actions-ACTION-:ARG-ACTION-:ARG"><b>--actions</b>=<i>ACTION(:ARG)[;ACTION(:ARG)]*</i></dt>
<dd>

<p>Actions are a new method to call functions with an optional single parameter. To get a list of the action IDs available, use the <a>--action-list</a> command line option. Eventually all verbs will be replaced by actions. Temporarily, any verb can be used as an action (without a parameter). Note, most verbs require a GUI (even if they don&#39;t use it). To close the GUI automatically at the end of processing, use <a>--batch-process</a>. In addition all export options have matching actions (remove the &#39;--&#39; in front of the option and replace &#39;=&#39; with &#39;:&#39;).</p>

<p>If only actions are used <a>--batch-process</a> must be used.</p>

<p>Export can be forced at any point with the export-do action. This allows one to do multiple exports on a single file.</p>

</dd>
<dt id="action-list"><b>--action-list</b></dt>
<dd>

<p>Prints a list of all available actions.</p>

</dd>
<dt id="actions-file-FILENAME"><b>--actions-file</b>=<i>FILENAME</i></dt>
<dd>

<p>Execute all actions listed in the file. The file contents must be formatted using the syntax of <a>--actions</a>. This option overrides the <a>--actions</a> argument when both are given.</p>

</dd>
<dt id="g---with-gui"><b>-g</b>, <b>--with-gui</b></dt>
<dd>

<p>Try to use the GUI (on Unix, use the X server even if $DISPLAY is not set).</p>

</dd>
<dt id="q---active-window"><b>-q</b>, <b>--active-window</b></dt>
<dd>

<p>Instead of launching a new Inkscape process, this will run the command in the most recently focused Inkscape document.</p>

</dd>
<dt id="display-DISPLAY"><b>--display</b>=<i>DISPLAY</i></dt>
<dd>

<p>Sets the X display to use for the Inkscape window.</p>

</dd>
<dt id="app-id-tag-TAG"><b>--app-id-tag</b>=<i>TAG</i></dt>
<dd>

<p>Creates a unique instance of Inkscape with the application ID &#39;org.inkscape.Inkscape.TAG&#39;. This is useful to separate the Inkscape instances when running different Inkscape versions or using different preferences files concurrently.</p>

</dd>
<dt id="batch-process"><b>--batch-process</b></dt>
<dd>

<p>Close GUI after executing all actions or verbs.</p>

</dd>
<dt id="shell"><b>--shell</b></dt>
<dd>

<p>With this parameter, Inkscape will enter an interactive command line shell mode. In this mode, you type in commands at the prompt and Inkscape executes them, without you having to run a new copy of Inkscape for each command. This feature is mostly useful for scripting and server uses: it adds no new capabilities but allows you to improve the speed and memory requirements of any script that repeatedly calls Inkscape to perform command line tasks (such as export or conversions).</p>

<p>In shell mode Inkscape expects a sequence of actions (or verbs) as input. They will be processed line by line, that means typically when pressing enter. It is possible (but not necessary) to put all actions on a single line.</p>

<p>This option can be combined with the <a>--active-window</a> parameter, to execute the shell commands in an already opened Inkscape document.</p>

<p>The following example opens a file and exports it into two different formats, then opens another file and exports a single object:</p>

<pre><code>    file-open:file1.svg; export-type:pdf; export-do; export-type:png; export-do
    file-open:file2.svg; export-id:rect2; export-id-only; export-filename:rect_only.svg; export-do</code></pre>

</dd>
</dl>

<h1 id="CONFIGURATION">CONFIGURATION</h1>

<p>The main configuration file is located in ~/.config/inkscape/preferences.xml; it stores a variety of customization settings that you can change in Inkscape (mostly in the Inkscape Preferences dialog). Also in the subdirectories there, you can place your own:</p>

<p><b>$HOME</b>/.config/inkscape/extensions/ - extensions.</p>

<p><b>$HOME</b>/.config/inkscape/fonts/ - fonts.</p>

<p><b>$HOME</b>/.config/inkscape/icons/ - icon sets.</p>

<p><b>$HOME</b>/.config/inkscape/keys/ - keyboard maps.</p>

<p><b>$HOME</b>/.config/inkscape/paint/ - patterns and hatches.</p>

<p><b>$HOME</b>/.config/inkscape/palettes/ - palettes.</p>

<p><b>$HOME</b>/.config/inkscape/symbols/ - symbol files.</p>

<p><b>$HOME</b>/.config/inkscape/templates/ - new file templates.</p>

<p><b>$HOME</b>/.config/inkscape/ui/ - user interface files.</p>

<h1 id="DIAGNOSTICS">DIAGNOSTICS</h1>

<p>The program returns zero on success or non-zero on failure.</p>

<p>A variety of error messages and warnings may be printed to STDERR or STDOUT. If the program behaves erratically with a particular SVG file or crashes, it is useful to look at this output for clues.</p>

<h1 id="EXAMPLES">EXAMPLES</h1>

<p>While obviously <b>Inkscape</b> is primarily intended as a GUI application, it can be used for doing SVG processing on the command line as well.</p>

<p>Open an SVG file in the GUI:</p>

<pre><code>    inkscape filename.svg</code></pre>

<p>Export an SVG file into PNG with the default resolution of 96 dpi (one SVG user unit translates to one bitmap pixel):</p>

<pre><code>    inkscape --export-filename=filename.png filename.svg</code></pre>

<p>Same, but force the PNG file to be 600x400 pixels:</p>

<pre><code>    inkscape --export-filename=filename.png -w 600 -h 400 filename.svg</code></pre>

<p>Same, but export the drawing (bounding box of all objects), not the page:</p>

<pre><code>    inkscape --export-filename=filename.png --export-area-drawing filename.svg</code></pre>

<p>Export two different files into four distinct file formats each:</p>

<pre><code>    inkscape --export-type=png,ps,eps,pdf filename1.svg filename2.svg</code></pre>

<p>Export to PNG the object with id=&quot;text1555&quot;, using the output filename and the resolution that were used for that object last time when it was exported from the GUI:</p>

<pre><code>    inkscape --export-id=text1555 --export-use-hints filename.svg</code></pre>

<p>Same, but use the default 96 dpi resolution, specify the filename, and snap the exported area outwards to the nearest whole SVG user unit values (to preserve pixel-alignment of objects and thus minimize aliasing):</p>

<pre><code>    inkscape --export-id=text1555 --export-filename=text.png --export-area-snap filename.svg</code></pre>

<p>Convert an Inkscape SVG document to plain SVG:</p>

<pre><code>    inkscape --export-plain-svg --export-filename=filename2.svg filename1.svg</code></pre>

<p>Convert an SVG document to EPS, converting all texts to paths:</p>

<pre><code>    inkscape --export-filename=filename.eps --export-text-to-path filename.svg</code></pre>

<p>Query the width of the object with id=&quot;text1555&quot;:</p>

<pre><code>    inkscape --query-width --query-id=text1555 filename.svg</code></pre>

<p>Duplicate the objects with id=&quot;path1555&quot; and id=&quot;rect835&quot;, rotate the duplicates 90 degrees, save SVG, and quit:</p>

<pre><code>    inkscape --select=path1555,rect835 --actions=&quot;duplicate;object-rotate-90-cw&quot; --export-overwrite filename.svg</code></pre>

<p>Select all objects with ellipse tag, rotate them 30 degrees, save the file, and quit.</p>

<pre><code>    inkscape --actions=&quot;select-by-element:ellipse;transform-rotate:30&quot; --export-overwrite filename.svg</code></pre>

<p>Export the object with the ID MyTriangle with a semi transparent purple background to the file triangle_purple.png and with a red background to the file triangle_red.png.</p>

<pre><code>    inkscape --actions=&quot;export-id:MyTriangle; export-id-only; export-background:purple; export-background-opacity:0.5;export-filename:triangle_purple.png; export-do; export-background:red; export-background-opacity:1; export-filename:triangle_red.png; export-do&quot; filename.svg</code></pre>

<p>Read an SVG from standard input (stdin) and export it to PDF format:</p>

<pre><code>    cat filename.svg | inkscape --pipe --export-filename=filename.pdf</code></pre>

<p>Export an SVG to PNG format and write it to standard output (stdout), then convert it to JPG format with ImageMagick&#39;s convert program:</p>

<pre><code>    inkscape --export-type=png --export-filename=- filename.svg | convert - filename.jpg</code></pre>

<p>Same as above, but also reading from a pipe (--export-filename can be omitted in this case)</p>

<pre><code>    cat filename.svg | inkscape --pipe --export-type=png | convert - filename.jpg</code></pre>

<h1 id="ENVIRONMENT-VARIABLES">ENVIRONMENT VARIABLES</h1>

<dl>

<dt id="INKSCAPE_PROFILE_DIR"><b>INKSCAPE_PROFILE_DIR</b></dt>
<dd>

<p>Set a custom location for the user profile directory.</p>

</dd>
<dt id="INKSCAPE_DATADIR"><b>INKSCAPE_DATADIR</b></dt>
<dd>

<p>Set a custom location for the Inkscape data directory (e.g. <b>$PREFIX</b>/share if Inkscape&#39;s shared files are in <b>$PREFIX</b>/share/inkscape).</p>

</dd>
<dt id="INKSCAPE_LOCALEDIR"><b>INKSCAPE_LOCALEDIR</b></dt>
<dd>

<p>Set a custom location for the translation catalog.</p>

</dd>
</dl>

<p>For more details see also <a href="http://wiki.inkscape.org/wiki/index.php/Environment_variables">http://wiki.inkscape.org/wiki/index.php/Environment_variables</a></p>

<h1 id="OTHER-INFO">OTHER INFO</h1>

<p>The canonical place to find <b>Inkscape</b> info is at <a href="https://www.inkscape.org/">https://www.inkscape.org/</a>. The website has news, documentation, tutorials, examples, mailing list archives, the latest released version of the program, bugs and feature requests databases, forums, and more.</p>

<h1 id="SEE-ALSO">SEE ALSO</h1>

<p><a>potrace</a>, <a>cairo</a>, <a>rsvg</a>, <a>batik</a>, <a>ghostscript</a>, <a>pstoedit</a>.</p>

<p>SVG compliance test suite: <a href="https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview">https://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview</a></p>

<p>SVG validator: <a href="https://validator.w3.org/">https://validator.w3.org/</a></p>

<p><i>Scalable Vector Graphics (SVG) 1.1 Specification</i> <i>W3C Recommendation 16 August 2011</i> <a href="https://www.w3.org/TR/SVG11/">https://www.w3.org/TR/SVG11/</a></p>

<p><i>Scalable Vector Graphics (SVG) 1.2 Specification</i> <i>W3C Working Draft 13 April 2005</i> <a href="https://www.w3.org/TR/SVG12/">https://www.w3.org/TR/SVG12/</a></p>

<p><i>Scalable Vector Graphics (SVG) 2 Specification</i> <i>W3C Candidate Recommendation 15 September 2016</i> <a href="https://www.w3.org/TR/SVG2/">https://www.w3.org/TR/SVG2/</a></p>

<p><i>Document Object Model (DOM): Level 2 Core</i> <i>W3C Recommendation 13 November 2000</i> <a href="https://www.w3.org/TR/DOM-Level-2-Core/">https://www.w3.org/TR/DOM-Level-2-Core/</a></p>

<h1 id="GUI-NOTES">GUI NOTES</h1>

<p>To learn Inkscape&#39;s GUI operation, read the manual in Help &gt; Inkscape manual, and the tutorials in Help &gt; Tutorials.</p>

<p>Apart from SVG, Inkscape can import (File &gt; Import) most bitmap formats (PNG, BMP, JPG, XPM, GIF, etc.), plain text (requires Perl), PS and EPS (requires Ghostscript), PDF and AI format (AI version 9.0 or newer).</p>

<p>Inkscape exports 32-bit PNG images (File &gt; Export PNG Image) as well as AI, PS, EPS, PDF, DXF, and several other formats via File &gt; Save as.</p>

<p>Inkscape can use the pressure and tilt of a graphic tablet pen for width, angle, and force of action of several tools, including the Calligraphic pen.</p>

<p>Inkscape includes a GUI front-end to the Potrace bitmap tracing engine (<a href="http://potrace.sf.net">http://potrace.sf.net</a>) which is embedded into Inkscape.</p>

<p>Inkscape can use external scripts (stdin-to-stdout filters) that are represented by commands in the Extensions menu. A script can have a GUI dialog for setting various parameters and can get the IDs of the selected objects on which to act via the command line. Inkscape comes with an assortment of effects written in Python.</p>

<h1 id="KEYBINDINGS">KEYBINDINGS</h1>

<p>To get a complete list of keyboard and mouse shortcuts, view doc/keys.html, or use the Keys and Mouse command in Help menu.</p>

<h1 id="BUGS">BUGS</h1>

<p>Many bugs are known; please refer to the website (<a href="https://www.inkscape.org/">https://www.inkscape.org/</a>) for reviewing the reported ones and to report newly found issues. See also the Known Issues section in the Release Notes for your version (file `NEWS&#39;).</p>

<h1 id="HISTORY">HISTORY</h1>

<p>The codebase that would become Inkscape began life in 1999 as the program Gill, the GNOME Illustrator application, created by Raph Levien. The stated objective for Gill was to eventually support all of SVG. Raph implemented the PostScript bezier imaging model, including stroking and filling, line cap style, line join style, text, etc. Raph&#39;s Gill page is at <a href="http://www.levien.com/svg/">http://www.levien.com/svg/</a>. Work on Gill appears to have slowed or ceased in 2000.</p>

<p>The next incarnation of the codebase was to become the highly popular program Sodipodi, led by Lauris Kaplinski. The codebase was turned into a powerful illustration program over the course of several year&#39;s work, adding several new features, multi-lingual support, porting to Windows and other operating systems, and eliminating dependencies.</p>

<p>Inkscape was formed in 2003 by four active Sodipodi developers, Bryce Harrington, MenTaLguY, Nathan Hurst, and Ted Gould, wanting to take a different direction with the codebase in terms of focus on SVG compliance, interface look-and-feel, and a desire to open development opportunities to more participants. The project progressed rapidly, gaining a number of very active contributors and features.</p>

<p>Much work in the early days of the project focused on code stabilization and internationalization. The original renderer inherited from Sodipodi was laced with a number of mathematical corner cases which led to unexpected crashes when the program was pushed beyond routine uses; this renderer was replaced with Livarot which, while not perfect either, was significantly less error prone. The project also adopted a practice of committing code frequently, and encouraging users to run developmental snapshots of the program; this helped identify new bugs swiftly, and ensure it was easy for users to verify the fixes. As a result, Inkscape releases have generally earned a reputation for being robust and reliable.</p>

<p>Similarly, efforts were taken to internationalize and localize the interface, which has helped the program gain contributors worldwide.</p>

<p>Inkscape has had a beneficial impact on the visual attractiveness of Open Source in general, by providing a tool for creating and sharing icons, splash screens, website art, and so on. In a way, despite being &quot;just an drawing program&quot;, Inkscape has played an important role in making Open Source more visually stimulating to larger audiences.</p>

<h1 id="AUTHORS">AUTHORS</h1>

<p>This codebase owes its existence to a large number of contributors throughout its various incarnations. The following list is certainly incomplete, but serves to recognize the many shoulders on which this application sits:</p>

<p>Maximilian Albert, Joshua A. Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Campbell Barton, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Hanno Böck, Tomasz Boczkowski, Adrian Boguszewski, Henrik Bohre, Boldewyn, Daniel Boles, Daniel Borgmann, Bastien Bouclet, Hans Breuer, Gustav Broberg, Christopher Brown, Marcus Brubaker, Luca Bruno, Brynn, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Jabiertxo Arraiza Cenoz, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Jon Cruz, Aurélie De-Cooman, Kris De Gussem, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Nicolas Dufour, Tim Dwyer, Maxim V. Dziumanenko, Moritz Eberl, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Sebastian Faubel, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Adnauer Heckert, René de Hesselle, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Christoffer Holmstedt, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, Ted Janeczko, Marc Jeanmougin, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Nikita Kitaev, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Michael Kowalski, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Fernando Lucchesi Bastos Jurema, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Craig Marshall, Ivan Masár, Dmitry G. Mastrukov, David Mathog, Matiphas, Patrick McDermott, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Chris Morgan, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Jonathan Neuhauser, Christian Neumair, Nick, Andreas Nilsson, Mitsuru Oka, Vinícius dos Santos Oliveira, Martin Owens, PBS, Alvin Penner, Matthew Petroff, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Jean Franco Amoni Rodríguez, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Markus Schwienbacher, Danilo Šegan, Abhishek Sharma, Tim Sheridan, Shivaken, Rafał Siejakowski, Michael Sloan, John Smith, Sandra Snan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Patrick Storz, Martin Sucha, Sushant A.A., ~suv, Pat Suwalski, Adib Taraben, Parcly Taxel, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Alex Valavanis, Joakim Verona, Lucas Vieites, Daniel Wagenaar, Liam P. White, Sebastian Wüst, Michael Wybrow, Gellule Xg, Daniel Yacob, Masatake Yamato, David Yip, Wen-Wei Kao, </p>

<h1 id="COPYRIGHT-AND-LICENSE">COPYRIGHT AND LICENSE</h1>

<p><b>Copyright (C)</b> 1999-2023 by Authors.</p>

<p><b>Inkscape</b> is free software; you can redistribute it and/or modify it under the terms of the GPL version 2 or later.</p>


</body>

</html>


